SimpleH : A simple Haskell for the simple programmer
====================================================

The Haskell Prelude is a very useful library that is automatically
loaded when compiling a Haskell source file. It defines most of the
functions that are needed to write a simple Haskell program, including
numeric functions, list functions, I/O functions and fundamental
control structures (Monads, Functors and the like).

SimpleH isn't meant to replace the Prelude but to complement it.
However, it redefines some standard classes in order to simplify their
functionality so it may not interact nicely with other libraries that
make use of the standard bindings. Still, I tried to keep the
redefining to a minimum and to render the SimpleH experience as
seamless as possible.

_Warning:_ since I started writing SimpleH just a few weeks back,
I haven't taken the time to properly document it yet, so you have to
already be familiar with basic Haskell concepts in order to understand
it. Sorry.
